%define upstream_name    HTTP-Tiny
%define upstream_version 0.012

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A small, simple, correct HTTP/1.1 client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
This is a very simple HTTP/1.1 client, designed primarily for doing simple
GET requests without the overhead of a large framework like the
LWP::UserAgent manpage.

It is more correct and more complete than the HTTP::Lite manpage. It
supports proxies (currently only non-authenticating ones) and redirection.
It also correctly resumes after EINTR.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Apr 03 2011 jquelin <jquelin> 0.12.0-1.mga1
+ Revision: 80079
- update to 0.012

* Thu Mar 24 2011 jquelin <jquelin> 0.11.0-1.mga1
+ Revision: 76636
- update to 0.011

* Sun Mar 13 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 70540
- imported package perl-HTTP-Tiny


* Sun Mar 13 2011 cpan2dist 0.010-1mga
- initial mageia release, generated with cpan2dist
